#
# spec file for package nmh (Version 1.0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         nmh
Copyright:    2000 - not specified
Group:        Applications/Mail
Provides:     nmh 
Requires:     smtp_daemon, less
Conflicts:    mh
Autoreqprov:  on
Version:      1.0.4
Release:      39
Summary:      Unix Mail Handler
URL:          http://www.mhost.com/nmh/
Source:       nmh-%{version}.tar.bz2
Patch0:       mkstemp.dif

%description
nmh (new MH) is a powerful electronic mail handling system. It was originally based on version 6.8.3 of the MH message system developed by the RAND Corporation and the University of California. It is intended to be a (mostly) compatible drop-in replacement for MH.

nmh consists of a collection of fairly simple single-purpose programs to send, receive, save, retrieve, and manipulate e-mail messages. Since nmh is a suite rather than a single monolithic program, you may freely intersperse nmh commands with other commands at your shell prompt, or write custom scripts which use these commands in flexible ways.

Authors:
--------
    Richard Coleman (coleman@math.gatech.edu)

SuSE series: ap

%prep
%setup
%patch0 -p1

%build
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --sysconfdir=/etc/nmh \
	    --sharedstatedir=/var \
	    --enable-pop \
            --with-pager=/usr/bin/less
make

%install
make install 

%files
%{_prefix}/bin/ali
%{_prefix}/bin/inc
%{_prefix}/bin/mhn
%{_prefix}/bin/msh
%{_prefix}/bin/rmf
%{_prefix}/bin/rmm
%{_prefix}/bin/anno
%{_prefix}/bin/comp
%{_prefix}/bin/dist
%{_prefix}/bin/forw
%{_prefix}/bin/mark
%{_prefix}/bin/next
%{_prefix}/bin/pick
%{_prefix}/bin/prev
%{_prefix}/bin/repl
%{_prefix}/bin/scan
%{_prefix}/bin/send
%{_prefix}/bin/show
%{_prefix}/bin/whom
%{_prefix}/bin/burst
%{_prefix}/bin/flist
%{_prefix}/bin/packf
%{_prefix}/bin/sortm
%{_prefix}/bin/mhbuild
%{_prefix}/bin/mhparam
%{_prefix}/bin/sendfiles
%{_prefix}/bin/mhstore
%{_prefix}/bin/folders
%{_prefix}/bin/flists
%{_prefix}/bin/folder
%{_prefix}/bin/mhlist
%{_prefix}/bin/mhmail
%{_prefix}/bin/mhpath
%{_prefix}/bin/mhshow
%{_prefix}/bin/msgchk
%{_prefix}/bin/refile
%{_prefix}/bin/viamail
%{_prefix}/bin/prompter
%{_prefix}/bin/whatnow
%{_prefix}/lib/ap
%{_prefix}/lib/dp
%{_prefix}/lib/mhl
%{_prefix}/lib/post
%{_prefix}/lib/rcvdist
%{_prefix}/lib/rcvpack
%{_prefix}/lib/spost
%{_prefix}/lib/install-mh
%{_prefix}/lib/fmtdump
%{_prefix}/lib/conflict
%{_prefix}/lib/mhtest
%{_prefix}/lib/rcvtty
%{_prefix}/lib/slocal
%{_prefix}/lib/rcvstore
/etc/nmh/distcomps
/etc/nmh/mhl.headers
/etc/nmh/mts.conf
/etc/nmh/MailAliases
/etc/nmh/scan.nomime
/etc/nmh/replcomps
/etc/nmh/rcvdistcomps
/etc/nmh/scan.timely
/etc/nmh/scan.mailx
/etc/nmh/scan.unseen
/etc/nmh/mhl.body
/etc/nmh/components
/etc/nmh/scan.size
/etc/nmh/scan.time
/etc/nmh/replgroupcomps
/etc/nmh/mhl.digest
/etc/nmh/mhl.format
/etc/nmh/scan.YYYYMMDD
/etc/nmh/mhn.defaults
/etc/nmh/tmac.h
/etc/nmh/mhl.reply
/etc/nmh/scan.MMDDYY
/etc/nmh/forwcomps
/etc/nmh/scan.default
/etc/nmh/rcvdistcomps.outbox
/etc/nmh/digestcomps
/etc/nmh/mhl.forward
%{_mandir}/man1/ali.1.gz
%{_mandir}/man1/inc.1.gz
%{_mandir}/man1/mhl.1.gz
%{_mandir}/man1/mhn.1.gz
%{_mandir}/man1/msh.1.gz
%{_mandir}/man1/nmh.1.gz
%{_mandir}/man1/rmf.1.gz
%{_mandir}/man1/rmm.1.gz
%{_mandir}/man1/vmh.1.gz
%{_mandir}/man1/mhbuild.1.gz
%{_mandir}/man1/sendfiles.1.gz
%{_mandir}/man1/folder.1.gz
%{_mandir}/man1/prompter.1.gz
%{_mandir}/man1/mh-chart.1.gz
%{_mandir}/man1/rcvstore.1.gz
%{_mandir}/man1/sortm.1.gz
%{_mandir}/man1/mhlist.1.gz
%{_mandir}/man1/mhmail.1.gz
%{_mandir}/man1/anno.1.gz
%{_mandir}/man1/flist.1.gz
%{_mandir}/man1/mhpath.1.gz
%{_mandir}/man1/comp.1.gz
%{_mandir}/man1/dist.1.gz
%{_mandir}/man1/forw.1.gz
%{_mandir}/man1/mhshow.1.gz
%{_mandir}/man1/mark.1.gz
%{_mandir}/man1/next.1.gz
%{_mandir}/man1/pick.1.gz
%{_mandir}/man1/prev.1.gz
%{_mandir}/man1/repl.1.gz
%{_mandir}/man1/mhstore.1.gz
%{_mandir}/man1/scan.1.gz
%{_mandir}/man1/send.1.gz
%{_mandir}/man1/show.1.gz
%{_mandir}/man1/slocal.1.gz
%{_mandir}/man1/whom.1.gz
%{_mandir}/man1/packf.1.gz
%{_mandir}/man1/whatnow.1.gz
%{_mandir}/man1/rcvdist.1.gz
%{_mandir}/man1/rcvtty.1.gz
%{_mandir}/man1/msgchk.1.gz
%{_mandir}/man1/mhparam.1.gz
%{_mandir}/man1/rcvpack.1.gz
%{_mandir}/man1/refile.1.gz
%{_mandir}/man1/burst.1.gz
%{_mandir}/man5/mh-profile.5.gz
%{_mandir}/man5/mh-alias.5.gz
%{_mandir}/man5/mh-tailor.5.gz
%{_mandir}/man5/mh-mail.5.gz
%{_mandir}/man5/mh-draft.5.gz
%{_mandir}/man5/mh_profile.5.gz
%{_mandir}/man5/mh-sequence.5.gz
%{_mandir}/man5/mh-format.5.gz
%{_mandir}/man8/ap.8.gz
%{_mandir}/man8/dp.8.gz
%{_mandir}/man8/install-mh.8.gz
%{_mandir}/man8/conflict.8.gz
%{_mandir}/man8/mh-mts.8.gz
%{_mandir}/man8/fmtdump.8.gz
%{_mandir}/man8/post.8.gz
%doc COMPLETION-* DIFFERENCES FAQ MAIL.FILTERING VERSION TODO README COPYRIGHT

%changelog -n nmh
* Mon Jul 16 2001 - mmj@suse.de
- Initial package. Hopefully Maddog is happy now :)
